
D4Science Infrastructure - VM Creation #8189

New VM for sdi RESTFul service

Apr 19, 2017 12:44 PM - Roberto Cirillo

Status: Closed Start date: Apr 19, 2017

Priority: High Due date: Apr 20, 2017

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: UnSprintable   

Infrastructure: Development, Pre-Production Applications list and

version:

sdi-service 1.0.0-4.4.0-146794

RAM: 2 Applications context

path:

sdi-service

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: 2.1.2-4.4.0-146408 PostgreSQL

database:

No

Application

Instructions:

 Number of VMs:  

Smartgears scopes: all scopes under gCube   

Description

The new vm should be called as:

sdi-d-d4s.d4science.org

History

#1 - Apr 19, 2017 12:46 PM - Roberto Cirillo

Please @fabio.sinibaldi@isti.cnr.it could you check if the configuration schema is ok for you?

#2 - Apr 19, 2017 12:47 PM - Roberto Cirillo

- Due date set to Apr 20, 2017

#3 - Apr 19, 2017 01:01 PM - Fabio Sinibaldi

Seems ok to me.

#4 - Apr 20, 2017 01:49 PM - Andrea Dell'Amico

- Status changed from New to In Progress

IP address: 146.48.123.116

#5 - Apr 20, 2017 02:07 PM - Andrea Dell'Amico

@fabio.sinibaldi@isti.cnr.it can you provide the maven data to fetch the sdi-service app?

#6 - Apr 20, 2017 03:06 PM - Andrea Dell'Amico

- % Done changed from 0 to 90

The VM is up and running. The missing piece is the sdi-service app.

#7 - Apr 20, 2017 03:32 PM - Roberto Cirillo

Andrea Dell'Amico wrote:
@fabio.sinibaldi@isti.cnr.it can you provide the maven data to fetch the sdi-service app?

 
<groupId>org.gcube.spatial.data</groupId>

<artifactId>sdi-service</artifactId>

<version>1.0.0-4.4.0-146794</version>

#8 - Apr 20, 2017 06:59 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 90 to 100

The SDI service has been installed

#9 - Apr 21, 2017 10:36 AM - Roberto Cirillo

The service is running only under root-vo scope: "/gcube"  but the request is to run in all gcube scopes.

Please, could you add the missing scopes?

#10 - Apr 21, 2017 10:43 AM - Andrea Dell'Amico

It's running with 

<authorizeChildrenContext>true</authorizeChildrenContext>

 If that's not what you want, please list the needed scopes. Or maybe it's running the wrong smartgears version?

#11 - Apr 21, 2017 11:01 AM - Roberto Cirillo

Andrea Dell'Amico wrote:

It's running with 

<authorizeChildrenContext>true</authorizeChildrenContext>

 If that's not what you want, please list the needed scopes. Or maybe it's running the wrong smartgears version?

 It is perfect for me. You should only add the following VO scopes:

/gcube/devsec

/gcube/devNext

/gcube/preprod

 remember also to add the preproduction key. Thanks.

#12 - Apr 21, 2017 11:43 AM - Andrea Dell'Amico

Done. I also removed the http -> https redirection. We verified that some java clients fail when the redirection is active, so we will need to check each

case.

#13 - Apr 21, 2017 04:51 PM - Roberto Cirillo

I've checked the service: the service is running correctly but we need also to add the "/gcube" scope.

Now the service is running only at VO level and the root-VO scope is missing in the container.xml file.

Could you add the /gcube token to the container, please?

#14 - Apr 21, 2017 05:09 PM - Andrea Dell'Amico

Done.

#15 - Apr 26, 2017 10:40 AM - Roberto Cirillo

- Status changed from Feedback to Closed
